
Foreman - Feature #110

support hostname naming standards

12/05/2009 12:46 PM - Paul Kelly

Status: New   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hostname conventions should be configurable for each installation of foreman.

These hostnames should be enforced when a new host is created.

Tis could be implemented via a rulebase or an external script

Related issues:

Related to Foreman - Feature #13768: Provide a default hostname Closed 02/17/2016

Is duplicate of Foreman - Feature #55: Allow for customised hostname formats Closed 10/25/2009

History

#1 - 12/05/2009 01:08 PM - Ohad Levy

you mean for each host type right?

additionally, can we also support in the other way around - e.g. when a new hosts is added to foreman (e.g. through a puppet report or a fact import)

that a hostgroup can be automatically be assigned?

#2 - 12/05/2009 01:08 PM - Ohad Levy

- Subject changed from hostnames should be configurable for each installation to support hostname naming standards

#3 - 12/05/2009 01:09 PM - Ohad Levy

- Assignee set to Paul Kelly

#4 - 12/08/2009 09:56 PM - Paul Kelly

- Status changed from New to Closed

duplicates 110

#5 - 12/09/2009 01:41 AM - Ohad Levy

- Status changed from Closed to Assigned

I assume you didn't plan to close this one as well :)

#6 - 05/16/2010 12:45 PM - Ohad Levy

- Status changed from Assigned to Feedback

cant we simple extend the hostgroup with a regexp attribute?

#7 - 11/09/2010 09:53 AM - Ohad Levy

- Category set to Host creation

- Target version set to 0.3
#8 - 04/18/2011 09:23 AM - Ohad Levy

- Target version deleted (0.3)

#9 - 12/06/2012 10:37 AM - Benjamin Papillon

- Status changed from Feedback to New

- Assignee deleted (Paul Kelly)

I change it to "New". It is a valid feature request :)

#10 - 03/15/2016 03:24 AM - Ohad Levy

- Related to Feature #13768: Provide a default hostname added

#11 - 05/05/2017 09:26 AM - Adam Winberg

It would be great if you besides random-based and mac-based name-generator could specify an external script which would provide a hostname.
